%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This program loads results from fortran and plots Figure 1 in Ju and Miao
% (2009)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


sd=load('PDR_FIG1.DAT');          % C(1)=mu_t, C(2:7) = P/D 
sc=load('PCR_FIG1.DAT');          % C(1)=mu_t, C(2:7) = P/C

subplot(2,2,1);
plot(sc(:,1),sc(:,2),':',sc(:,1),sc(:,3),'--',sc(:,1),sc(:,4),'LineWidth',2),
ylabel('Price consumption ratio'),

axis([0.0,1.0,38,57]),
legend('\eta=2.0','\eta=5.0','\eta=8.864',2),
title('A. \gamma=2, \rho=1/1.5')

subplot(2,2,2);
plot(sc(:,1),sc(:,5),':',sc(:,1),sc(:,6),sc(:,1),sc(:,7),'--','LineWidth',2),


axis([0.0,1.0,20.0,60]),
legend('\rho=2.0','\rho=1/1.5','\rho=0.4',2),
title('B. \gamma=2.0, \eta=8.864'),

subplot(2,2,3);
plot(sd(:,1),sd(:,2),':',sd(:,1),sd(:,3),'--',sd(:,1),sd(:,4),'LineWidth',2),
ylabel('Price dividend ratio'),
xlabel('State beliefs: \mu_t=Pr(z_{t+1}=1|s^t)'),
%xlabel('State beliefs: \mu_t=Pr(z_{t+1}=1|s^t)'),
axis([0.0,1.0,5,68]),
legend('\eta=2.0','\eta=5.0','\eta=8.864',2),
title('C. \gamma=2, \rho=1/1.5')

subplot(2,2,4);
plot(sd(:,1),sd(:,5),':',sd(:,1),sd(:,6),sd(:,1),sd(:,7),'--','LineWidth',2),
xlabel('State beliefs: \mu_t=Pr(z_{t+1}=1|s^t)'),
%xlabel('State beliefs: \mu_t=Pr(z_{t+1}=1|s^t)'),
%axis([0.0,1.0,10.0,25]),
legend('\rho=4.0','\rho=1/1.5','\rho=0.2',2),
title('D. \gamma=2.0, \eta=8.864'),


%print -dpsc 'c:\papers\ambiguity\figure1.eps'
