%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program computes the correlation and cross correlation of financial
% data and consumption growth 
% The data come from Cecchetti et al (2000AER)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load returns.dat
load cons.dat

gc = log(1+cons(:,2)/100); %log consumption growth

logeq = log((1+returns(:,4))./(1+returns(:,3))); %log equity premium

voleq=abs(logeq); %Absolute value of log equity premium

pd = log(returns(:,6)); % log P/D ratio

correpdgc = xcov(pd(20:123),gc(1:104),0,'coeff') %cross correlation betwen P/D and consumption growth

%stats=regstats(pd(20:123), gc(1:104),'linear') %regression of P/D on consumption growth

correqgc = xcov(logeq(20:123),gc(1:104),1,'coeff'); %cross correlation between equity premium and consumption growth
correqgc(3)

corrvolgc = xcov(voleq(20:123),gc(1:104),0,'coeff') %cross correlation between equity volatility and consumption growth

autovol = xcov(voleq,1,'coeff');  %autocorrelation of absolution equity premium
autovol(3)

corrvolpd=xcov(voleq,pd,1,'coeff'); %cross correlation between P/D and equity volatility
corrvolpd(3)
